aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xinstall.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/install.sh b/install.sh
index 659b652b..0dc0419f 100755
--- a/install.sh
+++ b/install.sh
@@ -11,7 +11,7 @@ for arg in "$@"; do
done
if [ "$ATUIN_NON_INTERACTIVE" != "yes" ]; then
- if [ -t 0 ] || [ -c /dev/tty ]; then
+ if [ -t 0 ] || { true </dev/tty; } 2>/dev/null; then
ATUIN_NON_INTERACTIVE="no"
else
ATUIN_NON_INTERACTIVE="yes"